%define module	XML-LibXML-Common
%define version 0.12
%define release 1mdk

Summary:	Various functions used by XML::LibXML, XML::LibXSLT
Name:		perl-%{module}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildRequires:	libxml2-devel >= 2.4.20
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot/

%description
XML::LibXML::Common contains several constants and functions that
are shared by XML::LibXML, XML::GDOME and XML::LibXSLT (not all done, yet)

%prep
%setup -q -n %{module}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT%{_prefix} install

%files
%defattr(-,root,root)
%doc Changes MANIFEST README
%{perl_vendorarch}/auto/XML/LibXML/*
%{perl_vendorarch}/XML/LibXML/*
%{_mandir}/*/*

%changelog
* Thu Nov 28 2002 Franois Pons <fpons@mandrakesoft.com> 0.12-1mdk
- 0.12.

* Mon Nov  4 2002 Pixel <pixel@mandrakesoft.com> 0.11-1mdk
- initial spec
